## crrcsim 0.9.12

=== CMakeLists.txt ===
# This is just a first try of a CMakeLists.txt. It will certainly not 
# make CRRCSim build on much more than a standard linux installation yet.
# It is only meant for dev purposes. Please look at the documentation
# on how to compile/install CRRCSim and so on.
#
# There is a script called cmake.sh for your convenience.


cmake_minimum_required(VERSION 2.4.6)
cmake_policy(VERSION 2.6)

project (crrcsim)

set(CMAKE_PACKAGE_NAME    "${PROJECT_NAME}")
set(CMAKE_PACKAGE_VERSION "0.9.12")

INCLUDE (CheckIncludeFiles)
INCLUDE (CheckIncludeFileCXX)
INCLUDE (CheckSymbolExists)
INCLUDE (CheckLibraryExists)
INCLUDE (CheckCXXSourceCompiles)

# uncomment to get verbose output
#set (CMAKE_VERBOSE_MAKEFILE ON)

#
# Host-specific checks
#
if (WIN32)
  add_definitions(-DWIN32)
else (WIN32)
  if (APPLE)
    # Mac OS X
    add_definitions(-DMACOSX -DCRRC_DATA_PATH="${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}")
  else (APPLE)
    add_definitions(-Dlinux -DCRRC_DATA_PATH="${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}")
  endif (APPLE)
endif (WIN32)



#
# enable compiler warnings
#
add_definitions(-Wall)

#
#
#
CHECK_INCLUDE_FILES("sys/io.h" HAVE_SYS_IO_H)

#
# Search for a portaudio lib
#
CHECK_INCLUDE_FILES ("portaudio.h" USE_PORTAUDIO)
if (USE_PORTAUDIO)
  check_library_exists(portaudio Pa_CountDevices   "${PORTAUDIO18_LIBRARY_DIR}" HAVE_PORTAUDIO18)
  
  if (HAVE_PORTAUDIO18)
    set(PORTAUDIO_LIBRARIES portaudio)    
    set(PORTAUDIO 18)
  else (HAVE_PORTAUDIO18)
    check_library_exists(portaudio Pa_GetDeviceCount "${PORTAUDIO19_LIBRARY_DIR}" HAVE_PORTAUDIO19)
    if (HAVE_PORTAUDIO19)
      set(PORTAUDIO_LIBRARIES portaudio)    
      set(PORTAUDIO 19)
    else (HAVE_PORTAUDIO19)    
      check_library_exists(portaudio2 Pa_GetDeviceCount "${PORTAUDIO19_LIBRARY_DIR}" HAVE_PORTAUDIO19)
      if (HAVE_PORTAUDIO19)
        set(PORTAUDIO_LIBRARIES portaudio2)
        set(PORTAUDIO 19)
      endif (HAVE_PORTAUDIO19)
    endif (HAVE_PORTAUDIO19)    
  endif (HAVE_PORTAUDIO18)    
else (USE_PORTAUDIO)
  set(PORTAUDIO 0)
endif (USE_PORTAUDIO)

#
# Search for SDL
#
INCLUDE (FindSDL)
if (SDL_FOUND)
  CHECK_SYMBOL_EXISTS(SDL_BUTTON_WHEELUP ${SDL_INCLUDE_DIR}/SDL.h HAS_SDL_MOUSEWHEEL)
  if (NOT HAS_SDL_MOUSEWHEEL)
    set(SDL_WITHOUT_MOUSEWHEEL 1)
  endif (NOT HAS_SDL_MOUSEWHEEL)
else (SDL_FOUND)
  message(FATAL_ERROR "SDL not found, but it is needed to compile ${PROJECT_NAME}")
endif (SDL_FOUND)

#
# Search for OpenGL and GLU
#
INCLUDE (FindOpenGL)
if (NOT OPENGL_FOUND OR NOT OPENGL_GLU_FOUND)
  message(FATAL_ERROR "OpenGL and GLU not found, but are needed to compile ${PROJECT_NAME}")
endif (NOT OPENGL_FOUND OR NOT OPENGL_GLU_FOUND)

#
# Search for PLIB 1.8.4
#
# PLIB consist of several more or less independent
# components, so we better check each component we need.
# Checking via "CHECK_INCLUDE_FILES" fails because gcc is used instead of g++. 
# How to change this?
#SET(PLIB_CHECK_INCLUDE
#    "plib/ul.h"     
#    "plib/sg.h"     
#    "plib/ssg.h"    
#    "plib/ssgaSky.h"
#    "plib/pu.h"     
#    "plib/puAux.h")
#CHECK_INCLUDE_FILES (${PLIB_CHECK_INCLUDE}  USE_PLIB)
# As the above doesn't work I use a program which determines 
# PLIB is >= 1.8.4, which is needed anyway.
#CHECK_CXX_SOURCE_COMPILES("#include <plib/ul.h>
#                           #include <plib/sg.h>
#                           #include <plib/ssg.h>
#                           #include <plib/ssgaSky.h>
#                           #include <plib/pu.h>
#                           #include <plib/puAux.h>
#                           int main(void)
#                           {
#                               return 0;
#                           }
#                          " USE_PLIB)
#if (NOT USE_PLIB)
#  message(FATAL_ERROR "PLIB not found, but is needed to compile ${PROJECT_NAME}")  
#endif (NOT USE_PLIB)
TRY_RUN(TEST_RETURNCODE TEST_DID_COMPILE "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/test_plib.cpp")
if (TEST_DID_COMPILE AND TEST_RETURNCODE EQUAL 42)
  set(PLIB_LIBRARIES plibssg plibsg plibpuaux plibpu plibul plibfnt)
else (TEST_DID_COMPILE AND TEST_RETURNCODE EQUAL 42)
  message(FATAL_ERROR "PLIB >= 1.8.4 not found, but is needed to compile ${PROJECT_NAME}")
endif (TEST_DID_COMPILE AND TEST_RETURNCODE EQUAL 42)


#
# Check for libjpeg
#
find_package(JPEG)

#
# Check for CGAL
#
SET(CMAKE_REQUIRED_LIBRARIES CGAL)
CHECK_CXX_SOURCE_COMPILES(" #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
                            #include <CGAL/Delaunay_triangulation_3.h>
                            #include <CGAL/Triangulation_vertex_base_with_info_3.h>
                            int main(void)
                            {
                              return 0;
                            }
                          " HAS_CGAL)
if (HAS_CGAL)
  set(CGAL_LIBRARIES CGAL)
  add_definitions(-frounding-math)
  CHECK_INCLUDE_FILE_CXX ("CGAL/assertions_behaviour.h" CGAL_IS_V3)
  if (NOT CGAL_IS_V3)
    set(CGAL_IS_V3 0)
    set(CGAL_MESSAGE "yes  (found CGAL > v3)")
  else (NOT CGAL_IS_V3)
    set(CGAL_MESSAGE "yes  (found CGAL v3)")
  endif (NOT CGAL_IS_V3)
else (HAS_CGAL)
  set(HAS_CGAL 0)
  set(CGAL_MESSAGE "no   (CGAL not found)")
endif (HAS_CGAL)



#
#
# set variables...
#
#

set(CMAKE_CXX_FLAGS_DEBUG "-g3 -O0")

set(CRRCSIM_INCDIRS ${SDL_INCLUDE_DIR}
                    ${CMAKE_BINARY_DIR}
                    ${HAVE_SYS_IO_H}
   )                    
set(GUI_EXT_INCDIRS            ${CRRCSIM_INCDIRS})
set(MOD_CHARDEVICE_EXT_INCDIRS ${CRRCSIM_INCDIRS})
set(MOD_FDM_EXT_INCDIRS        ${CRRCSIM_INCDIRS})
set(MOD_INPUTDEV_EXT_INCDIRS   ${CRRCSIM_INCDIRS})
set(MOD_LANDSCAPE_EXT_INCDIRS  ${CRRCSIM_INCDIRS})
set(MOD_MAIN_EXT_INCDIRS       ${CRRCSIM_INCDIRS})
set(MOD_MODE_EXT_INCDIRS       ${CRRCSIM_INCDIRS})
set(MOD_WINDFIELD_EXT_INCDIRS  ${CRRCSIM_INCDIRS})
set(MOD_VIDEO_EXT_INCDIRS      ${CRRCSIM_INCDIRS})

set(CRRCSIM_SRCS
 src/aircraft.cpp
 src/config.cpp
 src/crrc_fdm.cpp
 src/crrc_keyboard.cpp
 src/crrc_loadair.cpp
 src/crrc_main.cpp
 src/crrc_sound.cpp
 src/crrc_soundserver.cpp
 src/crrc_system.cpp
 src/CTime.cpp
 src/global.cpp
 src/ImageLoaderTGA.cpp
 src/mouse_kbd.cpp
 src/record.cpp
 src/robots.cpp
 src/SimStateHandler.cpp
 src/zoom.cpp
  )

add_subdirectory(src/mod_chardevice)
add_subdirectory(src/GUI)
add_subdirectory(src/mod_cntrl)
add_subdirectory(src/mod_env)
add_subdirectory(src/mod_fdm)
add_subdirectory(src/mod_inputdev)
add_subdirectory(src/mod_landscape)
add_subdirectory(src/mod_main)
add_subdirectory(src/mod_math)
add_subdirectory(src/mod_misc)
add_subdirectory(src/mod_mode)
add_subdirectory(src/mod_robots)
add_subdirectory(src/mod_video)
add_subdirectory(src/mod_windfield)

set (CRRCSIM_LIBS
  GUI
  mod_cntrl
  mod_env
  mod_fdm
  mod_inputdev
  mod_video
  mod_landscape  
  mod_main
  mod_math
  mod_misc
  mod_mode
  mod_robots
  mod_windfield
  mod_chardevice
  ${SDL_LIBRARY}
  ${OPENGL_LIBRARIES}
  ${PORTAUDIO_LIBRARIES}
  ${CGAL_LIBRARIES}
  ${JPEG_LIBRARIES}
  ${PLIB_LIBRARIES}
  )

include_directories(${CRRCSIM_INCDIRS})

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/cmake/config.h.in ${CMAKE_BINARY_DIR}/crrc_config.h)

add_executable (crrcsim WIN32 ${CRRCSIM_SRCS})

target_link_libraries ( crrcsim ${CRRCSIM_LIBS} )


message("")
message("Build options:")
message("")
message("    Mousewheel support: "${HAS_SDL_MOUSEWHEEL})
message("    Audio interface:    "${PORTAUDIO})
message("    Wind data import:   "${CGAL_MESSAGE})
message("")


if (PORTAUDIO EQUAL 19)
  message("")
  message("Attention:")
  message("")
  message("  Using Portaudio V19 is not recommended by the CRRCsim team. If")
  message("  you experience frequent crashes when using the audio")
  message("  interface, please install Portaudio V18 and recompile CRRCsim.")
  message("")
endif (PORTAUDIO EQUAL 19)

INSTALL(TARGETS crrcsim
        RUNTIME DESTINATION bin)
        
INSTALL(DIRECTORY models/        DESTINATION share/${PROJECT_NAME}/models)
INSTALL(DIRECTORY objects/       DESTINATION share/${PROJECT_NAME}/objects)
INSTALL(DIRECTORY scenery/       DESTINATION share/${PROJECT_NAME}/scenery)
INSTALL(DIRECTORY sounds/        DESTINATION share/${PROJECT_NAME}/sounds)
INSTALL(DIRECTORY textures/      DESTINATION share/${PROJECT_NAME}/textures)
INSTALL(DIRECTORY documentation/ DESTINATION share/doc/${PROJECT_NAME}
        PATTERN "Makefile"    EXCLUDE
        PATTERN "Makefile.in" EXCLUDE
        PATTERN "Makefile.am" EXCLUDE)

=== src/GUI/CMakeLists.txt ===
set(GUI_SRCS
 crrc_audio.cpp
 crrc_calibmap.cpp
 crrc_ctrldev.cpp
 crrc_ctrlgen.cpp
 crrc_dialog.cpp
 crrc_f3f.cpp
 crrc_gui_main.cpp
 crrc_gui_viewwind.cpp
 crrc_joy.cpp
 crrc_launch.cpp
 crrc_loadrobot.cpp
 crrc_location.cpp
 crrc_mousebutton.cpp
 crrc_msgbox.cpp
 crrc_planesel.cpp
 crrc_scaleinput.cpp
 crrc_setrecordname.cpp
 crrc_slider.cpp
 crrc_spin.cpp
 crrc_video.cpp
 crrc_windthermal.cpp
 puaFileBox.cpp
 puaGLPreview.cpp
 puaScrListBox.cpp
 util.cpp
  )
add_library(GUI ${GUI_SRCS})

set (GUI_LIBS    )
set (GUI_INCDIRS )
    
include_directories(
  ${GUI_EXT_INCDIRS}
)

link_directories      ( ${GUI_LINKDIRS} )

=== src/mod_cntrl/CMakeLists.txt ===
set(MOD_CNTRL_SRCS
  cntrl_mcopter01/cntrl_mcopter01.cpp
  cntrl_scalethrottle/scalethrottle.cpp
  cntrl_limitflipthr/limitflipthrottle.cpp
  cntrl_initinputs/cntrl_initinputs.cpp
  cntrl_omega/cntrl_omega.cpp
  cntrl_phugoid/cntrl_phugoid.cpp
  cntrl_rateofclimb/cntrl_rateofclimb.cpp
  cntrl_setuserinput/cntrl_setuserinput.cpp
  controller.cpp
  )
add_library(mod_cntrl ${MOD_CNTRL_SRCS})

set (MOD_CNTRL_LIBS    )
set (MOD_CNTRL_INCDIRS )
    
link_directories      ( ${MOD_CNTRL_LINKDIRS} )

=== src/mod_env/CMakeLists.txt ===
set(MOD_ENV_SRCS
  earth/atmos_62.cpp
  earth/ls_gravity.cpp
  )
add_library(mod_env ${MOD_ENV_SRCS})

set (MOD_ENV_LIBS    )
set (MOD_ENV_INCDIRS )
    
link_directories      ( ${MOD_ENV_LINKDIRS} )

=== src/mod_fdm/CMakeLists.txt ===
set(MOD_FDM_SRCS
  eom01/eom01.cpp
  fdm_002/fdm_002.cpp
  fdm_displaymode/fdm_displaymode.cpp
  gear01/gear.cpp
  fdm_heli01/fdm_heli01.cpp
  fdm_larcsim/fdm_larcsim.cpp
  fdm_mcopter01/fdm_mcopter01.cpp
  fdm_testmode/fdm_testmode.cpp
  formats/airtoxml.cpp
  physics/eom.cpp
  power/battery.cpp
  power/engine_dcm.cpp
  power/gearing.cpp
  power/power.cpp
  power/propeller.cpp
  power/shaft.cpp
  power/simplethrust.cpp
  fdm.cpp
  ls_geodesy.cpp
  xmlmodelfile.cpp
  )
add_library(mod_fdm ${MOD_FDM_SRCS})

set (MOD_FDM_LIBS    )
set (MOD_FDM_INCDIRS )
    
include_directories(
  ${MOD_FDM_EXT_INCDIRS}
)

link_directories ( ${MOD_FDM_LINKDIRS} )

=== src/mod_inputdev/CMakeLists.txt ===
set(MOD_INPUTDEV_SRCS
  inputdev_audio/inputdev_audio.cpp
  inputdev.cpp
  inputdev_mnav/inputdev_mnav.cpp
  inputdev_mnav/inputdev_mnav.h
  inputdev_mnav/mnav.cpp
  inputdev_parallel/inputdev_parallel.cpp
  inputdev_PPM/inputdev_PPM.cpp
  inputdev_rctran/inputdev_rctran.cpp
  inputdev_rctran2/inputdev_rctran2.cpp
  inputdev_serial/inputdev_serial.cpp
  inputdev_serial/inputdev_serial.h
  inputdev_serial2/inputdev_serial2.cpp
  inputdev_serial2/LoggerReader_byte.cpp
  inputdev_serial2/LoggerReader_ttyS.cpp
  inputdev_serpic/inputdev_serpic.cpp
  inputdev_software/inputdev_software.cpp
  inputdev_zhenhua/inputdev_zhenhua.cpp
  inputdev_ct6a/inputdev_ct6a.cpp
 )
add_library(mod_inputdev ${MOD_INPUTDEV_SRCS})

set (MOD_INPUTDEV_LIBS    )
set (MOD_INPUTDEV_INCDIRS )
    
include_directories(
  ${MOD_INPUTDEV_EXT_INCDIRS}
)

link_directories      ( ${MOD_INPUTDEV_LINKDIRS} )

=== src/mod_landscape/CMakeLists.txt ===
set(MOD_LANDSCAPE_SRCS
  crrc_scenery.cpp
  crrc_builtin_scenery.cpp
  hd_tilingterrain.cpp
  winddata3D.cpp
  model_based_scenery.cpp
  wind_from_terrain.cpp
  )
add_library(mod_landscape ${MOD_LANDSCAPE_SRCS})

set (MOD_LANDSCAPE_LIBS    )
set (MOD_LANDSCAPE_INCDIRS )
    
include_directories(
  ${MOD_LANDSCAPE_EXT_INCDIRS}
)

link_directories      ( ${MOD_LANDSCAPE_LINKDIRS} )

=== src/mod_main/CMakeLists.txt ===
set(MOD_MAIN_SRCS
  eventhandler.cpp
  crrc_checkopts.cpp
  Event.cpp
  EventDispatcher.cpp
  )
add_library(mod_main ${MOD_MAIN_SRCS})

set (MOD_MAIN_LIBS    )
set (MOD_MAIN_INCDIRS )
    
include_directories(
  ${MOD_MAIN_EXT_INCDIRS}
)

link_directories      ( ${MOD_MAIN_LINKDIRS} )

=== src/mod_math/CMakeLists.txt ===
set(MOD_MATH_SRCS
  intgr.cpp
  linearreg.cpp
  matrix33.cpp
  pt1.cpp
  quaternion.cpp
  vector3.cpp
  )
add_library(mod_math ${MOD_MATH_SRCS})

set (MOD_MATH_LIBS    )
set (MOD_MATH_INCDIRS )
    
link_directories      ( ${MOD_MATH_LINKDIRS} )

add_executable       (quat_test quat_test.cpp )
target_link_libraries(quat_test mod_math)

add_executable       (m44_test m44_test.cpp)
target_link_libraries(m44_test mod_math)

=== src/mod_mode/CMakeLists.txt ===
set(MOD_MODE_SRCS
  F3F/handlerF3F.cpp
  )
add_library(mod_mode ${MOD_MODE_SRCS})

set (MOD_MODE_LIBS    )
set (MOD_MODE_INCDIRS )
    
include_directories(
  ${MOD_MODE_EXT_INCDIRS}
)

link_directories      ( ${MOD_MODE_LINKDIRS} )

=== src/mod_robots/CMakeLists.txt ===
set(MOD_ROBOTS_SRCS
  fdm_playback.cpp
  robot.cpp
  robotfile.cpp
  )
add_library(mod_robots ${MOD_ROBOTS_SRCS})

set (MOD_ROBOTS_LIBS    )
set (MOD_ROBOTS_INCDIRS )
    
include_directories(
  ${MOD_ROBOTS_EXT_INCDIRS}
)

link_directories ( ${MOD_ROBOTS_LINKDIRS} )

=== debian/changelog ===
crrcsim (0.9.12-5build2) saucy; urgency=low

  * Rebuild for the libcgal9 -> libcgal10 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 18:52:27 -0600

crrcsim (0.9.12-5build1) saucy; urgency=low

  * Rebuild against boost1.53.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 01 May 2013 23:47:45 +0100

crrcsim (0.9.12-5) unstable; urgency=low

  * Fix FTBFS. Adds libgmp at linking stage (Closes: #692454).

 -- Agustin Henze <tin@sluc.org.ar>  Tue, 06 Nov 2012 10:43:09 -0300

crrcsim (0.9.12-4) unstable; urgency=low

  * Added support for interface control via the audio input (Closes: #690881).

 -- Agustin Henze <tin@sluc.org.ar>  Fri, 19 Oct 2012 10:31:34 -0300

crrcsim (0.9.12-3) unstable; urgency=low

  * Fix FTBFS on sh4: This platform does not provide <sys/io.h>, so the input
    parallel port driver is disabled (Closes: #690194).

 -- Agustin Henze <tin@sluc.org.ar>  Thu, 11 Oct 2012 11:52:18 -0300

crrcsim (0.9.12-2) unstable; urgency=low

  * Fix FTBFS on mips, mipsel, s390, s390x and sparc: Those platforms are not
    provide <sys/io.h>, so the input parallel port driver is disabled.

 -- Agustin Henze <tin@sluc.org.ar>  Fri, 05 Oct 2012 16:03:26 -0300

crrcsim (0.9.12-1) unstable; urgency=low

  * Initial release (Closes: #518217).

 -- Agustin Henze <tin@sluc.org.ar>  Thu, 13 Aug 2012 12:43:20 -0300

=== debian/control ===
Source: crrcsim
Section: games
Priority: extra
Maintainer: Agustin Henze <tin@sluc.org.ar>
Build-Depends:
 debhelper (>= 9),
 cdbs,
 dpkg-dev (>= 1.16.1~),
 cmake,
 libsdl1.2-dev,
 libboost-thread-dev,
 libplib-dev,
 libcgal-dev,
 libjpeg8-dev,
 portaudio19-dev,
Standards-Version: 3.9.3
Homepage: http://crrcsim.berlios.de

Package: crrcsim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 crrcsim-data (>= ${source:Upstream-Version})
Suggests: crrcsim-doc
Description: Model-Airplane Flight Simulator
 Is a model-airplane flight simulation program. Using it, you can learn how to
 fly model aircraft, test new aircraft designs, and improve your skills by
 practicing on your computer.

Package: crrcsim-data
Architecture: all
Depends: ${misc:Depends}
Recommends: crrcsim
Description: Data files for crrcsim package
 Is a model-airplane flight simulation program. Using it, you can learn how to
 fly model aircraft, test new aircraft designs, and improve your skills by
 practicing on your computer.
 .
 This package contains data files (images, sounds, models, objects, sceneries
 and textures) for the crrcsim package.

Package: crrcsim-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for crrcsim package
 Is a model-airplane flight simulation program. Using it, you can learn how to
 fly model aircraft, test new aircraft designs, and improve your skills by
 practicing on your computer.
 .
 This package provides the documentation for the crrcsim.

=== debian/rules ===
#!/usr/bin/make -f
DEB_CMAKE_INSTALL_PREFIX := /usr
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/dpkg/buildflags.mk

## crrcsim 0.9.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 project (crrcsim)
 
 set(CMAKE_PACKAGE_NAME    "${PROJECT_NAME}")
-set(CMAKE_PACKAGE_VERSION "0.9.12")
+set(CMAKE_PACKAGE_VERSION "0.9.13")
 
 INCLUDE (CheckIncludeFiles)
 INCLUDE (CheckIncludeFileCXX)
@@ -130,7 +130,7 @@
 #endif (NOT USE_PLIB)
 TRY_RUN(TEST_RETURNCODE TEST_DID_COMPILE "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/test_plib.cpp")
 if (TEST_DID_COMPILE AND TEST_RETURNCODE EQUAL 42)
-  set(PLIB_LIBRARIES plibssg plibsg plibpuaux plibpu plibul plibfnt)
+  set(PLIB_LIBRARIES plibssg plibssgaux plibsg plibpuaux plibpu plibul plibfnt)
 else (TEST_DID_COMPILE AND TEST_RETURNCODE EQUAL 42)
   message(FATAL_ERROR "PLIB >= 1.8.4 not found, but is needed to compile ${PROJECT_NAME}")
 endif (TEST_DID_COMPILE AND TEST_RETURNCODE EQUAL 42)

=== src/GUI/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
  crrc_ctrldev.cpp
  crrc_ctrlgen.cpp
  crrc_dialog.cpp
+ crrc_f3a.cpp
  crrc_f3f.cpp
  crrc_gui_main.cpp
  crrc_gui_viewwind.cpp
@@ -23,6 +24,7 @@
  puaFileBox.cpp
  puaGLPreview.cpp
  puaScrListBox.cpp
+ puaImageFrame.cpp
  util.cpp
   )
 add_library(GUI ${GUI_SRCS})

=== src/mod_chardevice/CMakeLists.txt ===
set(MOD_CHARDEVICE_SRCS
 bufferedchardevice.cpp
 chardevicebase.cpp
 chardevicec.cpp
 chardevicewrapper.cpp
 filechardevice.cpp
 serialchardevice.cpp
 socketchardevicebase.cpp
 tcpchardevice.cpp
 tcpserverchardevice.cpp
 udpchardevice.cpp
 udpserverchardevice.cpp
  )
add_library(mod_chardevice ${MOD_CHARDEVICE_SRCS})

set (MOD_CHARDEVICE_LIBS    )
set (MOD_CHARDEVICE_INCDIRS )
    
include_directories(
  ${MOD_CHARDEVICE_EXT_INCDIRS}
)

link_directories      ( ${MOD_CHARDEVICE_LINKDIRS} )

=== src/mod_landscape/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 set(MOD_LANDSCAPE_SRCS
+  crrc_builtin_scenery.cpp
   crrc_scenery.cpp
-  crrc_builtin_scenery.cpp
+  hd_ssgLOSterrain.cpp
+  hd_tabulatedterrain.cpp
   hd_tilingterrain.cpp
-  winddata3D.cpp
+  heightdata.cpp
   model_based_scenery.cpp
   wind_from_terrain.cpp
+  winddata3D.cpp
   )
 add_library(mod_landscape ${MOD_LANDSCAPE_SRCS})

=== src/mod_misc/CMakeLists.txt ===
set(MOD_MISC_SRCS
  SimpleXMLTransfer.cpp
  crrc_rand.cpp
  filesystools.cpp
  lib_conversions.cpp
  scheduler.cpp
  )
add_library(mod_misc ${MOD_MISC_SRCS})

set (MOD_MISC_LIBS    )
set (MOD_MISC_INCDIRS )
    
link_directories      ( ${MOD_MISC_LINKDIRS} )

=== src/mod_mode/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 set(MOD_MODE_SRCS
+  F3A/handlerF3A.cpp
   F3F/handlerF3F.cpp
   )
 add_library(mod_mode ${MOD_MODE_SRCS})

=== src/mod_video/CMakeLists.txt ===
set(MOD_VIDEO_SRCS
  airplane_vis.cpp
  crrc_animation.cpp
  crrc_graphics.cpp
  crrc_sky.cpp
  crrc_ssgutils.cpp
  fonts.cpp
  glconsole.cpp
  gloverlay.cpp
  ssgLoadJPG.cpp
  shadow_volume.cpp
  )
add_library(mod_video ${MOD_VIDEO_SRCS})
    
include_directories(
  ${MOD_VIDEO_EXT_INCDIRS}
)

link_directories      ( ${MOD_VIDEO_LINKDIRS} )

=== src/mod_windfield/CMakeLists.txt ===
set(MOD_WINDFIELD_SRCS
  thermal03/solve.cpp
  thermal03/thermikschale.cpp
  thermal03/tschalen.cpp
  windfield.cpp
  )
add_library(mod_windfield ${MOD_WINDFIELD_SRCS})

set (MOD_WINDFIELD_LIBS    )
set (MOD_WINDFIELD_INCDIRS )

include_directories(
  ${MOD_WINDFIELD_EXT_INCDIRS}
)

link_directories      ( ${MOD_WINDFIELD_LINKDIRS} )

=== debian/changelog ===
crrcsim (0.9.13-3.2build2) noble; urgency=high

  * No change rebuild against libplib1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:58:03 +0200

crrcsim (0.9.13-3.2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:00 +0100

crrcsim (0.9.13-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix FTBFS with CGAL >= 5.0 (Closes: #946114).
  * Add Build-Depends: libcgal-dev (>= 5.0~).

 -- Joachim Reichel <reichel@debian.org>  Tue, 03 Dec 2019 22:22:43 +0100

crrcsim (0.9.13-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch back to the libjpeg that will be in buster.
    (Closes: #916346)

 -- Adrian Bunk <bunk@debian.org>  Sat, 22 Dec 2018 01:02:57 +0200

crrcsim (0.9.13-3) unstable; urgency=medium

  * Fix sys/io unsupported, defining dummy interfaces for io operations

 -- Agustin Henze <tin@debian.org>  Sat, 01 Dec 2018 16:49:34 +0100

crrcsim (0.9.13-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Agustin Henze ]
  * Use different approach for patching the missing sys_io.
    Thanks to Emilio Pozuelo Monfort <pochu@debian.org> for proposing this approach
    (Closes: #839161)

 -- Agustin Henze <tin@debian.org>  Sat, 01 Dec 2018 12:13:24 +0100

crrcsim (0.9.13-1) unstable; urgency=medium

  [ Iñaki Malerba ]
  * New upstream version 0.9.13
  * Add watch file
  * Fix libjpeg dependency
  * Use debhelper instead of CDBS
  * Update patches to match new upstream release
  * Add boost_thread patch (boost_thread-mt is now boost_thread)
  * Use debhelper 11
  * Modify install files, path changed
  * Remove lintian warnings
  * Add simple (autopk)test

  [ Agustin Henze ]
  * Add patch for removing an extra std::cerr at the end of an output stream
  * Update sys_io_missing patch, add support for hppa architecture (Closes:
    #839161). Thanks to "Helge Deller" <deller@gmx.de>

 -- Agustin Henze <tin@debian.org>  Fri, 17 Aug 2018 15:18:10 +0200

crrcsim (0.9.12-6) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (no changes required)
  * Add Vcs fields
  * Use my debian email account
  * Add longtitle and icon entry in debian/menu (Closes: #737852) Thanks to
    Markus Koschany

 -- Agustin Henze <tin@debian.org>  Thu, 04 Sep 2014 08:36:45 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: crrcsim
 Section: games
-Priority: extra
-Maintainer: Agustin Henze <tin@sluc.org.ar>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Agustin Henze <tin@debian.org>
 Build-Depends:
- debhelper (>= 9),
- cdbs,
+ debhelper (>= 11),
  dpkg-dev (>= 1.16.1~),
  cmake,
  libsdl1.2-dev,
  libboost-thread-dev,
  libplib-dev,
- libcgal-dev,
- libjpeg8-dev,
+ libcgal-dev (>= 5.0~),
+ libjpeg-dev,
  portaudio19-dev,
-Standards-Version: 3.9.3
+Standards-Version: 4.1.4
 Homepage: http://crrcsim.berlios.de
+Vcs-Git: https://salsa.debian.org/debian/crrcsim.git
+Vcs-Browser: https://salsa.debian.org/debian/crrcsim/
 
 Package: crrcsim
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
DEB_CMAKE_INSTALL_PREFIX := /usr
DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	# nothing

override_dh_auto_configure:
	DH_COMPAT=10 dh_auto_configure

=== debian/watch ===
version=4
# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
https://sf.net/crrcsim/crrcsim-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
